Bug 15148 - smbadduser
smbadduser
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-02 15:08 EDT by Radu Cornea
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-06 13:20:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radu Cornea 2000-08-02 15:08:32 EDT
smbadduser tries to create files in /etc/smbusers and /etc/smbpasswd 
instead of /etc/samba/smbusers and /etc/samba/smbpasswd, so it fails when 
changing the password.
Comment 1 Joshua Buysse 2000-08-03 00:06:05 EDT
This script is unfortunate -- it does not use the correct format for a samba 2.x
password file.  It's using the old format.  

The functionality of this script is contained by smbpasswd -a user (adds user to
passwd file and sets password).
Comment 2 Bill Nottingham 2000-08-03 00:18:48 EDT
So, in other words, it just needs axed.
Comment 3 Phil Knirsch 2000-08-06 13:20:17 EDT
Not quite. We can get rid of the check for the existence of a user entry in the
smbpasswd file and of the awk script which tries to add the user to the
smbpasswd file, but we still need to add the user to the smbusers file. Just
done it(tm).

Note You need to log in before you can comment on or make changes to this bug.